---
title: PushMessageData.text()
slug: Web/API/PushMessageData/text
tags:
  - API
  - Experimental
  - Method
  - Plain text
  - Push
  - PushMessageData
  - Reference
  - Service Workers
  - Text
---
<p>{{APIRef("Push API")}}{{SeeCompatTable()}}</p>

<p>The <code><strong>text()</strong></code>method of the {{domxref("PushMessageData")}} interface extracts push message data as a plain text string.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myText = PushEvent.data.text();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("USVString")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">self.addEventListener('push', function(event) {
  var textObj = event.data.text();

  // do something with your text
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API', '#dom-pushmessagedata-text', 'text()')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushMessageData.text")}}</p>
</div>
